%define uname   CGenius

Name:           commandergenius
Version:        3.5.0
Release:        %mkrel 2
Summary:        An open clone of the Commander Keen engines
License:        GPLv3+
Group:          Games/Arcade
Url:            https://clonekeenplus.sourceforge.net/
# Repo: https://gitlab.com/Dringgstein/Commander-Genius
# Source repacked to remove shareware raw game files from the tarball
# rm -rf Build/ dlls/ hqp/ icotool vfsroot/
Source0:        %{name}-%{version}.tar.xz
Patch0:         commandergenius-no-c99.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)

%description
Commander Genius is an open-source software piece that interprets
the Commander Keen "Vorticons" and "Galaxy" series (Keen 1-6).

It features many new features such as four-player mode, hardware acceleration,
customizable button layout on a range of input devices, new difficulty modes,
and much more.

You need the original data files of Commander Keen or of a mod to play
Commander Genius. Place game folders in the ~/.CommanderGenius/games
directory (Keen 1 and Keen 4 are sharewares and can be found
on the Internet).

%prep
%autosetup -p1

%build
%cmake -DBUILD_TARGET=LINUX \
       -DBUILD_SHARED_LIBS=OFF \
       -DGAMES_SHAREDIR=%{_gamesdatadir} \
       -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
# Bypass make install to give better names to the installed files

# Main executable
install -D -m755 %{_vpath_builddir}/src/%{uname}Exe %{buildroot}%{_gamesbindir}/%{name}

# Icon
install -D -m0644 share/cg.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Metainfo
install -D -m0644 share/metainfo/io.sourceforge.clonekeenplus.appdata.xml \
                  %{buildroot}%{_metainfodir}/io.sourceforge.clonekeenplus.appdata.xml

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Commander Genius
Comment=Play Commander Keen games natively
Comment[fr]=Jouez aux jeux Commander Keen de manière native
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc changelog.txt COPYRIGHT README.md
%license LICENSE
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/io.sourceforge.clonekeenplus.appdata.xml


%changelog
* Wed May 15 2024 daviddavid <daviddavid> 3.5.0-2.mga10
+ Revision: 2064295
- do not compile with -std=c99, not compatible with fseeko and ftello

* Wed Feb 14 2024 daviddavid <daviddavid> 3.5.0-1.mga10
+ Revision: 2041154
- new version: 3.5.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- revert the rpath check disable

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.7.3-2.mga9
+ Revision: 1790195
- disable rpath checking

* Sun Dec 27 2020 akien <akien> 2.7.3-1.mga8
+ Revision: 1664260
- Version 2.7.3

* Wed Feb 12 2020 umeabot <umeabot> 1.9.2-3.mga8
+ Revision: 1511462
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1296717
- Mageia 7 Mass Rebuild

* Sat Apr 02 2016 akien <akien> 1.9.2-1.mga6
+ Revision: 997684
- Version 1.9.2

* Mon Feb 08 2016 umeabot <umeabot> 1.8.0.0-2.mga6
+ Revision: 950474
- Mageia 6 Mass Rebuild

* Tue Nov 04 2014 akien <akien> 1.8.0.0-1.mga5
+ Revision: 795600
- Version 1.8.0.0

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4.0-6.mga5
+ Revision: 739875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4.0-5.mga5
+ Revision: 678499
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 akien <akien> 1.7.4.0-4.mga5
+ Revision: 660335
- Repack source tarball to remove shareware (i.e. nonfree) raw game file

* Wed Aug 06 2014 akien <akien> 1.7.4.0-3.mga5
+ Revision: 660290
- Add a patch to remove SDL_image build dependency

* Wed Aug 06 2014 akien <akien> 1.7.4.0-2.mga5
+ Revision: 660103
- Fix icon creation and paths

* Tue Aug 05 2014 akien <akien> 1.7.4.0-1.mga5
+ Revision: 660024
- Add upstream patch to remove unused dbfusion dependencies
- imported package commandergenius

